# PhasicFlow: cylinderRegion Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

cylinderRegion Class Reference
Collaboration diagram for cylinderRegion:
[legend]

## Public Member Functions

| TypeInfoNV ("cylinderRegion")
| cylinderRegion (const dictionary &dict)
| ~cylinderRegion ()=default
bool | isInside (const realx3 &p) const
realx3 | peek () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Protected Attributes

cylinder | cylinder_
uniformRandomReal | random_

## Detailed Description

Definition at line 31 of file cylinderRegion.hpp.

## Constructor & Destructor Documentation

## cylinderRegion()

cylinderRegion | ( | const dictionary & | dict | ) |

Definition at line 25 of file cylinderRegion.cpp.

## ~cylinderRegion()

~cylinderRegion | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "cylinderRegion" |  | ) |

## isInside()

bool isInside | ( | const realx3 & | p | ) | const

Definition at line 36 of file cylinderRegion.cpp.

## peek()

pFlow::realx3 peek | ( |  | ) | const

Definition at line 43 of file cylinderRegion.cpp.

References cylinderRegion::cylinder_, fatalErrorInFunction, fatalExit, cylinder::isInside(), cylinder::maxPoint(), cylinder::minPoint(), cylinderRegion::random_, and uniformRandomReal::randomNumber().

Here is the call graph for this function:

## read()

bool read | ( | const dictionary & | dict | ) |

Definition at line 60 of file cylinderRegion.cpp.

## write()

bool write | ( | dictionary & | dict | ) | const

Definition at line 68 of file cylinderRegion.cpp.

## Member Data Documentation

## cylinder_

cylinder cylinder_

protected

Definition at line 34 of file cylinderRegion.hpp.

Referenced by cylinderRegion::peek().

## random_

uniformRandomReal random_

mutableprotected

Definition at line 36 of file cylinderRegion.hpp.

Referenced by cylinderRegion::peek().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/peakableRegion/old/cylinderRegion/cylinderRegion.hpp
- src/phasicFlow/structuredData/peakableRegion/old/cylinderRegion/cylinderRegion.cpp